Package org.apache.cxf.interceptor

## Class MessageSenderInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.MessageSenderInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class MessageSenderInterceptor
      extends AbstractPhaseInterceptor<Message>

  Takes the Conduit from the exchange and sends the message through it.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MessageSenderInterceptor.MessageSenderEndingInterceptor` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageSenderInterceptor()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Conduit` | `getConduit​(Message message)` |
    `void` | `handleMessage​(Message message)` | Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageSenderInterceptor

          public MessageSenderInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### getConduit

          public static Conduit getConduit​(Message message)
                                    throws IOException

      Throws:
        `IOException`